package com.aliyun.mts.domain;

import com.alibaba.fastjson.annotation.JSONField;

/**
 * Created by zhongyizengzy on 17/9/11.
 */
public class WaterMark {
    @JSONField(name = "WaterMarkTemplateId")
    private String waterMarkTemplateId;
    @JSONField(name = "InputFile")
    private OSSFileDO inputFile;

    @JSONField(name = "Width")
    /**
     * 水印图片宽，若设置，则此值覆盖水印模板对应参数,值有两种形式：整数型代水印图片宽的像素值，范围[8,4096]，单位px；小数型代表相对输出视频分辨率宽的比率，范围(0,1),支持4位小数，如0.9999，超出部分系统自动丢弃
     */
    private String width;
    /**
     * 水印图片高，若设置，则此值覆盖水印模板对应参数,值有两种形式：整数型代表水印图片高的像素值，范围[8,4096]，单位px；小数型代表相对输出视频分辨率高的比率，范围(0,1),支持4位小数，如0.9999，超出部分系统自动丢弃
     */
    @JSONField(name = "Height")
    private String height;
    @JSONField(name = "Dx")
    /**
     * 水印图片相对输出视频的水平偏移量，若设置，则此值覆盖水印模板对应参数,默认值是0；值有两种形式：整数型代表偏移像素，范围[0,4096]，单位px；小数型代表水平偏移量与输出分辨率宽的比率，范围(0,1),支持4位小数，如0.9999，超出部分系统自动丢弃
     * 偏移量坐标图见：https://help.aliyun.com/document_detail/29253.html
     */
    private String dx;
    @JSONField(name = "Dy")
    /**
     * 水印图片相对输出视频的垂直偏移量，若设置，则此值覆盖水印模板对应参数,默认值是0；值有两种形式：整数型代表偏移像素，范围[0,4096]，单位px；小数型代表垂直偏移量与输出分辨率高的比率，范围(0,1),支持4位小数，如0.9999，超出部分系统自动丢弃
     *偏移量坐标图见：https://help.aliyun.com/document_detail/29253.html
     */
    private String dy;
    @JSONField(name = "ReferPos")
    /**
     * 水印的位置,见ReferPos枚举类,若设置，则此值覆盖水印模板对应参数,
     */
    private String referPos;

    public String getWidth() {
        return width;
    }

    public void setWidth(String width) {
        this.width = width;
    }

    public String getHeight() {
        return height;
    }

    public void setHeight(String height) {
        this.height = height;
    }

    public String getDx() {
        return dx;
    }

    public void setDx(String dx) {
        this.dx = dx;
    }

    public String getDy() {
        return dy;
    }

    public void setDy(String dy) {
        this.dy = dy;
    }

    public String getReferPos() {
        return referPos;
    }

    public void setReferPos(String referPos) {
        this.referPos = referPos;
    }

    public WaterMark(String waterMarkTemplateId, OSSFileDO inputFile, String width, String height, String dx, String dy, String referPos) {
        this.setInputFile(inputFile);
        this.setWaterMarkTemplateId(waterMarkTemplateId);
        this.setWidth(width);
        this.setHeight(height);
        this.setDx(dx);
        this.setDy(dy);
        this.setReferPos(referPos);
    }

    public String getWaterMarkTemplateId() {
        return waterMarkTemplateId;
    }

    public void setWaterMarkTemplateId(String waterMarkTemplateId) {
        this.waterMarkTemplateId = waterMarkTemplateId;
    }

    public OSSFileDO getInputFile() {
        return inputFile;
    }

    public void setInputFile(OSSFileDO inputFile) {
        this.inputFile = inputFile;
    }
}
